---
type: api
title: Update a monitored user
description: **Deprecated in 9.4.0.** Use the Watchlists API instead.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-updateprivmonuser
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-updateprivmonuser
products:
  - Kibana
---

# Update a monitored user

deprecated

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/entity_analytics/monitoring/users/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The document ID of the monitored user to update

## Description

**Deprecated in 9.4.0.** Use the Watchlists API instead.

Updates the details of an existing monitored privileged user by their document ID.

## Request Body

`application/json`

- `entity_analytics_monitoring` (object) — optional
  - `labels` ([] object) — optional
    - `field` (string · max: 256) — required
    - `source` (string) — required
    - `value` (string · max: 256) — required
- `id` (string · max: 256) — optional
- `labels` (object) — optional
  - `source_ids` ([] string · max: 100) — optional
  - `source_integrations` ([] string · max: 100) — optional
  - `sources` ([] enum  · max: 100) — optional
    Values: `csv`, `index_sync`, `api`
- `user` (object) — optional
  - `is_privileged` (boolean) — optional
    Indicates if the user is privileged.
  - `name` (string · max: 512) — optional

## Response

User updated successfully

`application/json`

- `entity_analytics_monitoring` (object)
  - `labels` ([] object)
    - `field` (string · max: 256)
    - `source` (string)
    - `value` (string · max: 256)
- `id` (string · max: 256)
- `labels` (object)
  - `source_ids` ([] string · max: 100)
  - `source_integrations` ([] string · max: 100)
  - `sources` ([] enum  · max: 100)
    Values: `csv`, `index_sync`, `api`
- `user` (object)
  - `is_privileged` (boolean)
    Indicates if the user is privileged.
  - `name` (string · max: 512)
- `@timestamp` (string)
- `event` (object)
  - `@timestamp` (string)
  - `ingested` (string)
## Code Examples

#### Console

```console
PUT /api/entity_analytics/monitoring/users/{id}
{
  "entity_analytics_monitoring": {
    "labels": [
      {
        "field": "department",
        "source": "api",
        "value": "Security"
      }
    ]
  },
  "user": {
    "is_privileged": true,
    "name": "john.doe"
  }
}
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/entity_analytics/monitoring/users/{id}" \
  -H "Content-Type: application/json" \
  -d '{
  "entity_analytics_monitoring": {
    "labels": [
      {
        "field": "department",
        "source": "api",
        "value": "Security"
      }
    ]
  },
  "user": {
    "is_privileged": true,
    "name": "john.doe"
  }
}'
```

## Response Examples

#### Updated monitored user

```json
{
  "@timestamp": "2026-01-28T12:00:00.000Z",
  "entity_analytics_monitoring": {
    "labels": [
      {
        "field": "department",
        "source": "api",
        "value": "Security"
      }
    ]
  },
  "event": {
    "ingested": "2026-01-28T12:00:00.000Z"
  },
  "id": "user-abc-123",
  "user": {
    "is_privileged": true,
    "name": "john.doe"
  }
}
```

